[song]
name = Fun Palace
artist = Annihilator
album = Re-Kill
genre = Thrash Metal
year = 2013
diff_guitar = 4
preview_start_time = 221000
icon = csc
album_track = 1
playlist_track = 
charter = stripes
song_length = 336427
loading_phrase = Annihilator is a thrash metal band formed in 1984 in Ottawa, Canada. Its only constant member is guitarist Jeff Waters.<br>• Waters has also served as the band's writer, producer, engineer, bassist, and vocalist when needed.<br>• The deluxe edition of their 14th album, <i>Feast,</i> included a bonus disc, <i>Re-Kill,</i> which featured 15 fully re-recorded Annihilator songs with Dave Padden's vocals.<br>• Curiously, the <i>Re-Kill</i> version lops off the article in the title of the original song, "<b><i>The</i></b> Fun Palace," released in 1990 on their 2nd album, <i>Never, Neverland.</i><br>◦ Both versions serve as the first track on their respective releases.

